Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-buildroot

Summary: PARI/GP Number Theory-oriented Computer Algebra System
Name: pari
Version: 2.1.5
Release: 1
Copyright: GPL
Group: Utilities/Math
Source: http://pari.math.u-bordeaux.fr/download/pari-%{version}.tgz
URL: http://pari.math.u-bordeaux.fr/

%description
PARI/GP is a widely used computer algebra system designed for fast computations in number theory (factorizations, algebraic number theory, elliptic curves...), but also contains a large number of other useful functions to compute with mathematical entities such as matrices, polynomials, power series, algebraic numbers, etc., and a lot of transcendental functions. PARI is also available as a C library to allow for faster computations.
%prep
rm -rf $RPM_BUILD_DIR/name-%{version}
%setup -q

%build
./Configure --prefix=%{prefix} --miscdir=/usr/share/pari --mandir=/usr/share/man/man1
make

%install
mkdir -p $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make install

%files
/usr/bin/*
/usr/include/pari
/usr/lib/*
/usr/share/man/man1/*
/usr/share/pari
%doc  AUTHORS CHANGES COMPAT COPYING README NEW TODO README.WIN MACHINES Announce.2.1 doc/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jun 30 2004 Ralf Spenneberg <ralf@spenneberg.net>
- First Release

